<?php

namespace Drupal\menu_block_settings_override\Plugin\Block;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\menu_block\Plugin\Block\MultipleMenuBlock;
use Drupal\menu_block_settings_override\Plugin\Field\FieldType\MenuBlockSettingsOverrideItem;
use Drupal\menu_block_settings_override\Traits\MenuBlockSettingsOverrideTrait;

/**
 * Provides an extended Menu block with overridable settings.
 *
 * @Block(
 *   id = "multiple_menu_block",
 *   admin_label = @Translation("Multiple Menu block"),
 *   category = @Translation("Menus"),
 *   deriver = "Drupal\menu_block\Plugin\Derivative\MultipleMenuBlock",
 *   forms = {
 *     "settings_tray" = "\Drupal\system\Form\SystemMenuOffCanvasForm",
 *   },
 *   context = {
 *     "node" = @ContextDefinition("entity:node", label = @Translation("Node"))
 *   }
 * )
 */
class MultipleMenuBlockWithOverridableSettings extends MultipleMenuBlock {

  use MenuBlockSettingsOverrideTrait;

}
